%define name iptables2
%define ver  VERSION
%define rel  1
%define vendor Netfilter Core Team
%define packager coreteam@netfilter.org

Vendor: %{vendor}
Distribution: %{distro}
Packager: %{packager}
Name: %{name}
Version: %{ver}
Release: %{rel}
Summary: IPtables 2.
Copyright: GPL
Group: Networking/Admin
URL: ftp://ftp.netfilter.org/iptables2
Source0: ftp.netfilter.org/iptables2/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root

%description
Iptables2: the next generation of iptables tools..

%prep
%setup -q -n %{name}-%{version}
./configure --prefix=%{_prefix}

%build
make

%install
make mandir=%{_mandir} install

%clean
if [ ! %{buildroot} = / ]; then
  rm -rf %{buildroot}
fi

%files
%defattr(0644, root, root, 0755)
%attr(0755,root,root) /usr/bin/*
/usr/lib/*
/usr/include/*
/usr/share/man/man8/*
%doc KNOWN_BUGS COPYING ChangeLog INSTALL NEWS TODO README THANKS iptables2.spec

%changelog
* Mon Jan 14 2002 Jay Schulist <jschlst@samba.org>
- Created iptables2 RPM
