/* Shared library add-on to libiptables for unclean match. */
#include <libiptables.h>

static libipt_plugin_t unclean = { 
    { NULL, NULL },
    LIBIPT_PLUGIN_MATCH,
    NULL,
    "unclean",
    "match 'unclean' packets",
    LIBIPTABLES_VERSION,
    IPT_ALIGN(0),
    IPT_ALIGN(0),
    { NULL, NULL },
    NULL,		/* init */
    NULL,		/* struct2rule */
    NULL,		/* check */
    NULL,		/* rule2struct */
};

void _init(void)
{
	libipt_prepare_params(&unclean.params, NULL, 0);
	libipt_register_plugin(&unclean);
}
