/* libpkttables_print.h, Version $Revision: 697 $
 *
 * high level API for iptables rule operations, part of the 
 * netfilter/iptables infrastructure of linux 2.4 / 2.5
 *
 * (C) 2001-2003 by Harald Welte <laforge@netfilter.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 
 *  as published by the Free Software Foundation
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *  
 * $Id: libpkttables_print.h 697 2003-07-15 15:28:17Z laforge $
 */

#ifndef _LIBPKTTABLES_PRINT_H
#define _LIBPKTTABLES_PRINT_H

/* functions for printing information about plugins/parameters */
int libpktt_print_paraminfo(char *output, size_t len, libpktt_param_t *pm);
int libpktt_print_pluginhelp(char *output, size_t len, libpktt_plugin_t *pl);

/* functions for printing parameters including their values */

#endif /* _LIBPKTTABLES_PRINT_H */
