/* iptables2.c, Version $Revision: 694 $
 *
 * The second generation of the iptables userspace program
 *
 * (C) 2001-2002 by Harald Welte <laforge@gnumonks.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 
 *  as published by the Free Software Foundation
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *  
 * $Id: iptables2.c 694 2002-01-16 16:15:21Z laforge $
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <libiptables.h>

#if 0

static struct option original_opts[] = {
	{ "append", 1, 0, 'A' },
        { "insert", 1, 0,  'I' },
        { "replace", 1, 0,  'R' },
        { "list", 2, 0,  'L' },
        { "flush", 2, 0,  'F' },
        { "zero", 2, 0,  'Z' },
        { "new-chain", 1, 0,  'N' },
        { "delete-chain", 2, 0,  'X' },
        { "rename-chain", 2, 0,  'E' },
        { "policy", 1, 0,  'P' },
	{ 0 }
};


static char commands_v_options[NUMBER_OF_CMD][NUMBER_OF_OPT] =
/* Well, it's better than "Re: Linux vs FreeBSD" */
{
	        /*     -n  -s  -d  -p  -j  -v  -x  -i  -o  -f  --line */
	/*INSERT*/    {'x',' ',' ',' ',' ',' ','x',' ',' ',' ','x'},
	/*DELETE*/    {'x',' ',' ',' ',' ',' ','x',' ',' ',' ','x'},
	/*DELETE_NUM*/{'x','x','x','x','x',' ','x','x','x','x','x'},
	/*REPLACE*/   {'x',' ',' ',' ',' ',' ','x',' ',' ',' ','x'},
	/*APPEND*/    {'x',' ',' ',' ',' ',' ','x',' ',' ',' ','x'},
	/*LIST*/      {' ','x','x','x','x',' ',' ','x','x','x',' '},
	/*FLUSH*/     {'x','x','x','x','x',' ','x','x','x','x','x'},
	/*ZERO*/      {'x','x','x','x','x',' ','x','x','x','x','x'},
	/*NEW_CHAIN*/ {'x','x','x','x','x',' ','x','x','x','x','x'},
	/*DEL_CHAIN*/ {'x','x','x','x','x',' ','x','x','x','x','x'},
	/*SET_POLICY*/{'x','x','x','x','x',' ','x','x','x','x','x'},
	/*CHECK*/     {'x','+','+','+','x',' ','x',' ',' ',' ','x'},
	/*RENAME*/    {'x','x','x','x','x',' ','x','x','x','x','x'}
};

#endif

const char *program_version;
const char *program_name;


int foobar(libipt_handle_t *h)
{
	libipt_target_t *t;

	t = libipt_get_targetinfo("DUMMY");

}

int main(int argc, char *argv[]) 
{
	int ret;
	char *table = "filter";
	libipt_handle_t *h;

	program_name = "iptables"
	program_version = IPTABLES_VERSION;

	if (libipt_init() != TRUE) {
		fprintf(stderr, "error during libipt_init()\n");
		exit(1);
	}

	h = libipt_get_handle();	

	foobar(h);
}
